# Node docker image on which our code would run
image: node:latest

# .gitlab-ci.yml
variables:
  DOCKER_TLS_CERTDIR: ""

#This command is run before actual stages start running
before_script:
  - npm install
  # - npm install -g yarn
  - 'which ssh-agent || ( apt-get update -y && apt-get install openssh-client -y )'

#cache:
#  paths:
#    - node_modules/
#    - .yarn


stages:
#  - test
  - build
  - staging

# lint and test are two different jobs in the same stage.
# This allows us to run these two in parallel and making build faster

# Job 1:
#lint:
#  image: node:latest
#  stage: test
#  script:
#    - npm run lint

buildProject:
  only:
    - master
  stage: build
  before_script:
    #- yarn install
  script:
    - npm run build

deployStageToAWS:
  only:
    - master
  stage: staging
  before_script: 
   #generate ssh key   
     - mkdir -p ~/.ssh     
     - echo -e "$SSH_PRIVATE_KEY" > ~/.ssh/id_rsa     
     - chmod 600 ~/.ssh/id_rsa 
  script:
    - bash ./gitlab-deploy/staging-deploy.sh